Mailinglist Archive: opensuse-gnome (124 mails)

< Previous Next >
[opensuse-gnome] Weird GNOME-related RPM problems
  • From: "Michel Salim" <michel.sylvan@xxxxxxxxx>
  • Date: Fri, 7 Sep 2007 00:15:07 -0400
  • Message-id: <f224c6140709062115y8a995aaofc7a07892aa4484b@xxxxxxxxxxxxxx>
I've noticed these related problems on-and-off involving GNOME
packages on openSUSE 10.2:

- on a stock install, gnome-games when queried would list, among
others /var/games/glines.{Large,Medium,Small}.scores   --  but the RPM
actually installs /var/games/glines.scores

- attempts to upgrade to GNOME:STABLE always results in a broken
install, one of the telltale sign being the inability to load icons

- after downgrading back to openSUSE-10.2+updates+GNOME:Community, to
my surprise the icon loading problem still occurs. I tried running
'glines' from the terminal, and get this:

(glines:17512): GdkPixbuf-WARNING **: Cannot open pixbuf loader module
file '/etc/opt/gnome/gtk-2.0/gdk-pixbuf.loaders': No such file or
directory

Weird, I thought. Perhaps it's the same RPM bug that used to affect
Fedora, where some files are clobbered on RPM upgrades? To be safe, I
removed gtk2 (with --no-deps), and then reinstalled it. Twice. Using
smart and, for safety measures, using rpm manually.

Like gnome-games, here is the result:

michel@hitchens:~> rpm -ql gtk2 | grep gdk-pixbuf
/etc/opt/gnome/gtk-2.0/gdk-pixbuf.loaders
/opt/gnome/bin/gdk-pixbuf-query-loaders
michel@hitchens:~> ls /etc/opt/gnome/gtk-2.0/*.loaders
ls: cannot access /etc/opt/gnome/gtk-2.0/*.loaders: No such file or directory

michel@hitchens:~> rpm -q gtk2
gtk2-2.10.6-24.2


Any thought? Will probably file this to Bugzilla, but I need to know
what to file this against. GNOME in general? The build service? RPM?

Thanks,

-- 
Michel
-- 
To unsubscribe, e-mail: opensuse-gnome+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-gnome+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups